package com.wrox.jobresume.common;

public class Resume extends Object {

  private String firstName;
  private String middleName;
  private String lastName;
  private String uid; //Unique identifier
  private String address;
  private String city;
  private String state;
  private String zipcode;
  private String phoneNumber;
  private String education;
  private String workHistory;
  private String references;

  public Resume() { }
  
  public Resume(String firstName, String middleName, String lastName,
                String address, String city, String state, 
                String zipcode, String phoneNumber, String education,
                String workHistory, String references) {
    this.firstName = firstName;
    this.middleName = middleName;
    this.lastName = lastName;
    this.uid = uid;
    this.address = address;
    this.city = city;
    this.state = state;
    this.zipcode = zipcode;
    this.phoneNumber = phoneNumber;
    this.education = education;
    this.workHistory = workHistory;
    this.references = references;
  } 

  public String getFirstName() {
    return firstName;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  public String getMiddleName() {
    return middleName;
  }

  public void setMiddleName(String middleName) {
    this.middleName = middleName;
  }

  public String getLastName() {
    return lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public String getUid() {
    return uid;
  }

  public void setUid(String uid) {
    this.uid = uid;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public String getCity() {
    return city;
  }

  public void setState(String state) {
    this.state = state;
  }

  public String getState() {
    return state;
  }

  public String getZipcode() {
    return zipcode;
  }

  public void setZipcode(String zipcode) {
    this.zipcode = zipcode;
  }

  public String getPhoneNumber() {
    return phoneNumber;
  }

  public void setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
  }

  public String getEducation() {
    return education;
  }

  public void setEducation(String education) {
    this.education = education;
  }

  public String getWorkHistory() {
    return workHistory;
  }

  public void setWorkHistory(String workHistory) {
    this.workHistory = workHistory;
  }

  public String getReferences() {
    return references;
  }

  public void setReferences(String references) {
    this.references = references;
  }

  public String toString() {
    return "UID: " + uid + "\n" +
           "First Name: " + firstName + "\n" +
           "Middle Name: " + middleName + "\n" +
           "Last Name: " + lastName + "\n" +
           "Address: " + address + "\n" +
           "City:" + city + "\n" +
           "State:" + state + "\n" +
           "Zipcode:" + zipcode + "\n" +
           "Phone Number:" + phoneNumber + "\n" +
           "Education:" + education + "\n" +
           "Work History" + workHistory + "\n" +
           "References" + references + "\n";
  }
}