import electric.registry.*;

public class GLUEInvokeAddressBook {

  public static void main(String args[]) throws Throwable {

    Address address = (Address)Registry.invoke(
                       "http://localhost:8004/glue/urn:AddressBook.wsdl",
                       "getAddress", new Object[] { "someone" } );
    System.out.println("Resulting address is:");
    System.out.println("\tStreet  : "+address.street);
    System.out.println("\tCity    : "+address.city);
    System.out.println("\tZipcode : "+address.zipcode);
  }
}