import com.ibm.wsdl.xml.*;
import javax.wsdl.*;
import org.xml.sax.*;
import java.util.*;

public class WSDL4JImportSample {

  public static void main(String[] args) {
    try {
      Definition def = WSDLReader.readWSDL(null, 
new InputSource("http://localhost:8080/wrox/wsdl/AddressBook.wsdl")); 
      Map importsMap = def.getImports();
      System.out.println("Number of imports found : "+importsMap.size());

      Iterator iterator = importsMap.keySet().iterator();
      while (iterator.hasNext()) {
        String key = (String)iterator.next();
        Enumeration enum = ((Vector)importsMap.get(key)).elements();
        while (enum.hasMoreElements()) {
          Import importObject = (Import)enum.nextElement();
          System.out.println("Found import.");
          System.out.println("\tNamespace URI is : "+
                                         importObject.getNamespaceURI());
          System.out.println("\tLocation URI is : "+
                                         importObject.getLocationURI());
        }
      }
    } catch (WSDLException ex) {
      System.out.println("Exception - fault code : "+ex.getFaultCode());
    }
  }
}