package com.wroxcuisine.client;

import com.wroxcuisine.ejb.*;
import com.wroxcuisine.helpers.*;

import java.util.*;
import javax.naming.*;

import java.sql.*;
import javax.sql.*;

public class TestWroxCuisineService {

  public TestWroxCuisineService() {}

  public static void main(String args[]) {

    try {
      InitialContext ctx = DirectoryService.getInitContext();
      Object objService = ctx.lookup("WroxCuisineService");
      WroxCuisineServiceHome servicehome = 
        (WroxCuisineServiceHome) javax.rmi.PortableRemoteObject
          .narrow(objService, WroxCuisineServiceHome.class);
      WroxCuisineService service = servicehome.create();
      String xmlOutput = service.GetAllCountries();

      System.out.println(xmlOutput);
    } catch (Exception e) {
      e.printStackTrace();
      System.out.println(e.getMessage());
    }
  }
}