<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="RECIPE">
<table border="0" cellpadding="0" cellspacing="0" width="50%">
<xsl:apply-templates/>
</table>
</xsl:template>

<xsl:template match="RECIPENAME">
  <tr>
    <td width="47%" bgcolor="#800000"><b><font color="#FFFFFF" face="Arial Rounded MT Bold" size="3">Recipe Name</font></b></td>
    <td width="50%" bgcolor="#FFFFCC"><b><font face="Verdana" size="2"><xsl:value-of select="."></xsl:value-of></font></b></td>
  </tr>
  <tr>
    <td width="47%"></td>
    <td width="50%" bgcolor="#FFFFCC"></td>
  </tr>
</xsl:template>

<xsl:template match="RECIPEDESC">
  <tr>
    <td width="47%" bgcolor="#800000"><b><font color="#FFFFFF" face="Arial Rounded MT Bold" size="3">Recipe Description</font></b></td>
    <td width="50%" bgcolor="#FFFFCC"><font face="Verdana" size="2"><xsl:value-of select="."></xsl:value-of></font></td>
  </tr>
  <tr>
    <td width="47%"></td>
    <td width="50%" bgcolor="#FFFFCC"></td>
  </tr>
</xsl:template>

<xsl:template match="RECIPEINGREDIENTS">
  <tr>
    <td width="47%" bgcolor="#800000"><b><font color="#FFFFFF" face="Arial Rounded MT Bold" size="3">Ingredients</font></b></td>
    <td width="50%" bgcolor="#800000"></td>
  </tr>
  <tr>
    <td width="97%" bgcolor="#FFFFCC" colspan="2">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
         <xsl:apply-templates/>
      </table>
    </td>
 </tr>
  
</xsl:template>

<xsl:template match="RECIPEINGREDIENTS/INGREDIENT">
        <tr>
          <td width="10%" valign="top">
            <ul>
              <li></li>
            </ul>
          </td>
          <td width="90%" valign="top"><font face="Verdana" size="2"><xsl:value-of  select="."></xsl:value-of></font></td>
        </tr>
</xsl:template>

<xsl:template match="RECIPESTEPS">
  <tr>
    <td width="47%" bgcolor="#800000"><b><font color="#FFFFFF" face="Arial Rounded MT Bold" size="3">Ingredients</font></b></td>
    <td width="50%" bgcolor="#800000"></td>
  </tr>
  <tr>
    <td width="97%" bgcolor="#FFFFCC" colspan="2">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
         <xsl:apply-templates/>
      </table>
    </td>
 </tr>
  
</xsl:template>

<xsl:template match="RECIPESTEPS/STEP">
        <tr>
          <td width="10%" valign="top">
            <ul>
              <li></li>
            </ul>
          </td>
          <td width="90%" valign="top"><font face="Verdana" size="2"><xsl:value-of  select="."></xsl:value-of></font></td>
        </tr>
</xsl:template>

</xsl:stylesheet>