import java.net.*;
import java.util.*;
import org.apache.soap.*;
import org.apache.soap.rpc.*;

public class alumniClient {
  public static void main(String argv[]) throws Exception {

    /**
     * argv[0] = Server address ?
     * http://<servername>:<port>/soap/servlet/rpcrouter
     */

    // argv[1] = Class year - 1995, 1996, 1997, 1998, 1999, 2000

    URL soapURL = new URL(argv[0]);
    String urn = "urn:alumni:alumnidonations";
    Call call = new Call();
    call.setTargetObjectURI(urn);
    call.setMethodName("showCash");
    call.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);
    Vector callParms = new Vector();
    callParms.addElement(new Parameter("paramClassYear", String.class, 
                                       argv[1], null));
    call.setParams(callParms);

    try {
      System.out.println("Calling Web Service URL " + soapURL 
                         + " with URN = " + urn);
      Response response = call.invoke(soapURL, "");
      Parameter result = response.getReturnValue();
      System.out.println("Web Service Response = " + result.getValue());
    } catch (SOAPException err) {
      System.out.println("SOAP Error " + err.getFaultCode() + "," 
                         + err.getMessage());
    }
  }
}