import java_wrox.*;

public class Client {
  public static void main(String[] args) throws Exception {
    if (args.length == 0) {
      System.out.println("Usage: java Client <stock symbols>");
      System.exit(0);
    }

    String symbols = "";
    for (int i = 0; i < args.length; i++) {
      symbols += (args[i] + " ");
    }

    // Create an instance of the Service Proxy
    webservices_StockQuoteServiceBinding quoteService = 
      new webservices_StockQuoteServiceBinding(
        webservices_StockQuoteServiceBinding._KnownServiceLocations[0]);

    String quotes = quoteService.getQuote(symbols);
  java.util.StringTokenizer st = new java.util.StringTokenizer(quotes, " ");
    while (st.hasMoreTokens()) {
      System.out.println(st.nextToken().trim());
    }
  }
}