package com.wroxinsurance;

import java.io.StringReader;
import java.net.URL;

import com_interface.provider1appointmentservice.www.*;

public class TestProxy {

  //Provider Web Service Endpoint
  static String provider1URL = "http://localhost:7081/soap/servlet/rpcrouter";
  static String provider2URL = "http://localhost:9081/soap/servlet/rpcrouter";

  public static void main(String[] args) {

    try {
      //Provider1 Web Service
      Provider1Appointment_ServiceBinding service = new Provider1Appointment_ServiceBinding(new URL(provider1URL));
      String providerDetails = "";

          providerDetails = service.getProviderDetails();

          //Print out Provider1 Details
          System.out.println(providerDetails);

          //Provider2 Web Service
          service = new Provider1Appointment_ServiceBinding(new URL(provider2URL));
         providerDetails = service.getProviderDetails();

          //Print out Provider2 Details
          System.out.println(providerDetails);

    } catch (Exception e) {
      System.out.println(e.getMessage());
    }
  }
}
