import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;

public class AxisClient1
{
   public static void main(String [] args) {

       try {

		   String endpointURL = "http://localhost:8080/axis/services/urn:greetingService";

		   //Service can also be accessed using the following URL
		   //String endpointURL = "http://localhost:8080/axis/servlet/AxisServlet/urn:greetingService";

		   String methodName = "sayHello";

		   Service  service = new Service();
		   Call     call    = (Call) service.createCall();
		   call.setTargetEndpointAddress(new java.net.URL(endpointURL));
		   call.setOperationName(methodName);
		   call.setProperty(Call.NAMESPACE,"urn:greetingService");
		   call.addParameter("firstName", XMLType.XSD_STRING, Call.PARAM_MODE_IN);
		   call.addParameter("lastName", XMLType.XSD_STRING, Call.PARAM_MODE_IN);
           String response = (String) call.invoke( new Object[] { "John", "Myers" } );

		   System.out.println("The Resonse:");
		   System.out.println(response);
       } catch(Exception e){
		   System.out.println(e);
	     }
   }
}
