import javax.activation.DataHandler;

import java.net.URL;
import java.io.*;
import java.util.StringTokenizer;

/**
 * GreetingService2.java
 *
 */

public class GreetingService2 {

     /**
	  * This method accepts an object of type DataHandler and
	  * returns a message of greeting.
	  * @param      dhandler	Object of type javax.activation.DataHandler
	  *							to represent the file contents
	  * @return     String
	  */

     public String sayHello(DataHandler dhandler) {

       String firstName = null;
	   String lastName = null;
       try {
		    //Create the data for the attached file.


            InputStreamReader isr = new InputStreamReader(dhandler.getInputStream());
			BufferedReader br = new BufferedReader(isr);
			String line = null;

			while ( (line = br.readLine()) != null)
			{
				StringTokenizer sToken = new StringTokenizer(line, "=;");
				while(sToken.hasMoreTokens())
				{
					//The content format: firstname=Billy;lastname=Bob
					sToken.nextToken(); //This will be firstname
					firstName = sToken.nextToken().trim(); //This will be Billy
					sToken.nextToken(); //This will be lastname
					lastName = sToken.nextToken().trim(); // This will be Bob
				}
			}
       } catch(IOException e){
		    System.out.println(e);
	     }
	 return "Hi "+firstName+"."+lastName+"!, Have a Good Day!!";
     }
}
